
Redmine - Defect #36901

Jump to project is misaligned in Safari 15.4 and later

2022-04-06 14:12 - Vitaly vit9696

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.2.8   

Resolution: Fixed Affected version: 4.2.5

Description

Jump to project dropdown item is misaligned from the project filter field by 1 pixel down as shown on the screenshot. Tested on

Safari 15.4 (17613.1.17.1.13).

Associated revisions

Revision 21876 - 2022-10-01 07:21 - Go MAEDA

Jump to project is misaligned in Safari 15.4 and later (#36901).

Patch by Vitaly vit9696.

Revision 21877 - 2022-10-01 07:23 - Go MAEDA

Merged r21876 from trunk to 5.0-stable (#36901).

Revision 21878 - 2022-10-01 07:24 - Go MAEDA

Merged r21876 from trunk to 4.2-stable (#36901).

History

#1 - 2022-04-11 01:40 - Go MAEDA

- Subject changed from Jump to project is misaligned to Jump to project is misaligned in Safari 15.4

- Status changed from New to Confirmed

- Affected version changed from 5.0.0 to 4.2.5

I have confirmed the issue after updating Safari from 15.3 to 15.4.

#2 - 2022-04-14 04:12 - Mizuki ISHIKAWA

Adding the following CSS seems to fix it.

#quick-search form { display: inline-block; }

#3 - 2022-04-14 15:26 - Go MAEDA

- Target version set to 4.2.6

Setting the target version to 4.2.6.

#4 - 2022-04-16 05:47 - Go MAEDA

- File 36901.patch added

#5 - 2022-04-21 20:41 - Vitaly vit9696

- File Screenshot 2022-04-21 at 21.40.28.png added

This fix is not sufficient, as it results in the dropdown item moving 1 pixel upwards after a click.

#6 - 2022-04-30 13:43 - Vitaly vit9696

- File quick-search.diff added
The attached change looks good to me so far with redmine 5.0.0 on Safari 15.4, Firefox 99.0.1, Chromium 100.0.4896.127.

#7 - 2022-05-16 22:09 - Marius BĂLTEANU

- Target version changed from 4.2.6 to 4.2.7

#8 - 2022-05-17 09:52 - Vitaly vit9696

Marius, could you please clarify why the attached fix was not committed? Thanks!

#9 - 2022-05-17 10:02 - Marius BĂLTEANU

Vitaly vit9696 wrote:

Marius, could you please clarify why the attached fix was not committed? Thanks!

 The patch was not tested by me or other Redmine maintainer and it was more important to release the new versions because of the security issues.

We will do our best to include the fixes in 4.2.7.

#10 - 2022-05-17 10:09 - Vitaly vit9696

Sure (y)

#11 - 2022-06-20 19:42 - Marius BĂLTEANU

- Target version changed from 4.2.7 to 4.2.8

#12 - 2022-07-04 23:45 - Vitaly vit9696

Gentle ping.

#13 - 2022-08-26 16:15 - Vitaly vit9696

Hello, Go MAEDA, could you please test the attached patch and commit it if it works for you?

Your attention is also needed on this patch, which would be great to merge into 5.0.3 as well.

Thanks!

#14 - 2022-10-01 07:25 - Go MAEDA

- Subject changed from Jump to project is misaligned in Safari 15.4 to Jump to project is misaligned in Safari 15.4 and later

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for reporting and fixing the issue.

Files

Screenshot 2022-04-06 at 15.09.20.png 9.35 KB 2022-04-06 Vitaly vit9696

36901.patch 2.21 KB 2022-04-16 Go MAEDA

Screenshot 2022-04-21 at 21.40.28.png 10.2 KB 2022-04-21 Vitaly vit9696

quick-search.diff 785 Bytes 2022-04-30 Vitaly vit9696
